﻿@using EnergyMission
@{
    Layout = null;
}

@Html.DevExpress().GridView(settings =>
{
    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingsClients", "Clients", Ajax, Html, ViewContext, settings);
    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
   
    //settings.Settings.VerticalScrollableHeight = 230;
    settings.Columns.Add("Name").Caption = "Client Name";


     //settings.Columns.Add(column =>
     //{
     //    column.FieldName = "Status";
     //    column.Caption = "Verified";
     //    column.Width = 20;

     //    column.SetDataItemTemplateContent(c =>
     //    {

            
     //    });



     //}); 
    
    settings.Columns.Add(column =>
    {
        column.Caption = "Verified";

        column.SetDataItemTemplateContent(c =>
        {
            int value = Convert.ToInt32(DataBinder.Eval(c.DataItem, "Status"));
            string classs = "";
            if (value == 0)
            {
                classs = "fa fa-long-arrow-left";


            }
            else if (value == 1)
            {
                classs = "fa fa-long-arrow-right";

            }

            else if (value == 2)
            {
                classs = "fa fa-check";
            }
            else if (value == 3)
            {
                classs = "fa fa-check";
            }
            else
            {
                classs = "fa fa-check";

            }
            ViewContext.Writer.Write(String.Format("<span class='verified'> <a herf='#'> <i class='" + classs + "' > </i></a> </span>"));

            Html.DevExpress().HyperLink(hsettings =>
            {
                hsettings.Name = c.KeyValue.ToString();
                hsettings.Properties.ClientSideEvents.Click = "function(s,e){MyFunction(" + DataBinder.Eval(c.DataItem, "Id").ToString() + " ,'');}";
                hsettings.Properties.Text = "Edit";
            }).Render();
            ViewContext.Writer.Write(

                 Ajax.ActionLink("Delete", "Delete","Clients",
                        new
                        {
                            Id = DataBinder.Eval(c.DataItem, "Id"),
                            Style = "color:#FEFEFE"
                        },
                        new AjaxOptions
                        {
                            Confirm = "Delete this record?",
                            HttpMethod = "DELETE",
                            OnSuccess = "OnSuccess(data, 'gvSettingsClients')"
                        }) + "&nbsp;"
               
               );
            
          

        });
    });
    settings.ClientSideEvents.SelectionChanged = "function (s, e) { editRow(s, e); }";
}).Bind(Model).GetHtml()